#!/bin/sh
#
# Licensed Materials - Property of IBM
# 5724-L62
#
# (C) Copyright IBM Corp. 2005  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# All Rights Reserved
#

# Set environment variables.
	
if [ "$1" = "" ]
then
      echo "There has to be either one or two arguments."  
      echo "If there is only one argument, then the argument must be a [-genkey]."
      echo "If there are two arguments, then the following arguments are valid:"
      echo "     [-encrypt <input>] [-decrypt <input>] [-encryptPropertyFile <file>] [-decryptPropertyFile <file>]"  
      exit 1
else
    if [ "$3" != "" ]
    then
        echo "There has to be either one or two arguments."  
        echo "If there is only one argument, then the argument must be a [-genkey]."
        echo "If there are two arguments, then the following arguments are valid:"
        echo "     [-encrypt <input>] [-decrypt <input>] [-encryptPropertyFile <file>] [-decryptPropertyFile <file>]"  
	exit 1
    fi

fi

@{JAVA_HOME}/bin/java -classpath @{AM_HOME}/lib/ext/tk_utils.jar com.ibm.tivoli.itcam.toolkit.util.crypto.AMCryptoManager ${1} "${2}"


